SDL Library Documentation
Prev |  | Next

# SDL_WM_SetIcon

## Name

SDL_WM_SetIcon -- Sets the icon for the display window.

## Synopsis

    #include "SDL.h"

``void SDL_WM_SetIcon`(SDL_Surface *icon, Uint8 *mask);`

## Description

Sets the icon for the display window.

This function must be called before the first call to SDL_SetVideoMode.

It takes an `icon` surface, and a `mask` in MSB format.

If `mask` is `NULL`, the entire icon surface will be used as the icon.

## Example

    SDL_WM_SetIcon(SDL_LoadBMP("icon.bmp"), NULL);

## See Also

`SDL_SetVideoMode`, `SDL_WM_SetCaption`

Prev | Home | Next
SDL_WM_GetCaption | Up | SDL_WM_IconifyWindow